Fixed Debian Packaging

parent ef3843d9
Pipeline #1814 passed with stage
in 11 minutes and 26 seconds
......@@ -8,18 +8,19 @@ BuildRequires:
- libqt5-linguist
- libqt5multimedia5
- libqt5declarative
- libqt5opengl5
- alsa-devel
- libX11-devel
depends=('ffmpeg' 'qt5-base' 'qtdeclarative5' 'qtmultimedia5')
depends=('ffmpeg' 'qt5-base' 'qtdeclarative5' 'qtmultimedia5' 'libqt5opengl5')
optdepends=('sox: audio speed adjusting support'
'libnotify: display desktop notifications')
To build, on Debian and derivated install:
sudo apt install ffmpeg sox libnotify-dev qt5-default qtdeclarative5-dev qtmultimedia5-dev qt5-qmake g++ make
sudo apt install ffmpeg sox libnotify-dev qt5-default qtdeclarative5-dev qtmultimedia5-dev libqt5opengl5-dev qt5-qmake g++ make
To run, on Debian and derivated install:
sudo apt install libc6 ffmpeg qt5-default libqt5multimedia5-plugins libqt5qml5 libqt5quickwidgets5 qml-module-qtquick2 qml-module-qtquick-dialogs qml-module-qtmultimedia
sudo apt install libc6 ffmpeg qt5-default libqt5multimedia5-plugins libqt5opengl5 libqt5qml5 libqt5quickwidgets5 qml-module-qtquick2 qml-module-qtquick-dialogs qml-module-qtmultimedia
Compile:
- clone git repository: "git clone https://github.com/swl-x/mystiq.git"
......@@ -72,6 +73,15 @@ apt-get update
apt-get install mystiq
### MX Linux 19
MystiQ can be installed via the MX Package Manager (Currently under MX Test Repo Tab)
Or with the Test Repo enabled (not recommended) run the following as root:
apt-get update
apt-get install mystiq
### Ubuntu
For Ubuntu 20.04 run the following:
......
Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: mystiq
Source: https://github.com/llamaret/mystiq.git
Files: *
Copyright: 2020 Maikel Llamaret Heredia <info@mystiqapp.com>
License: GPL-3
License: GPL 3.0
These files are free software: you can redistribute them and/or modify them
under the terms of the GNU General Public License as published by the Free
Software Foundation, version 3.
.
These files are distributed in the hope that they will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
details.
.
On Debian systems, the complete text of the GNU General Public License
version 3.0 can be found in "/usr/share/common-licenses/GPL-3".
......@@ -14,7 +14,7 @@ EMAIL="pavelmc@gmail.com"
LIC="gpl3"
HOMEPAGE="https://mystiqapp.com"
VCS="https://github.com/swl-x/mystiq.git"
DEPS="libc6, ffmpeg (>=3.0.0), qt5-default (>=5.10.0), libqt5multimedia5-plugins (>=5.10.0), libqt5qml5 (>=5.10.0), libqt5quickwidgets5 (>=5.10.0), qml-module-qtquick2 (>=5.10.0), qml-module-qtquick-dialogs (>=5.10.0), qml-module-qtmultimedia (>=5.10.0)"
DEPS="libc6, ffmpeg (>=3.0.0), qt5-default (>=5.10.0), libqt5multimedia5-plugins (>=5.10.0), libqt5qml5 (>=5.10.0), libqt5quickwidgets5 (>=5.10.0), qml-module-qtquick2 (>=5.10.0), qml-module-qtquick-dialogs (>=5.10.0), qml-module-qtmultimedia (>=5.10.0), libqt5opengl5 (>=5.10.0)"
RECOM="sox, libnotify-bin"
DATE=`date +"%a, %d %b 20%y %H:%M:%S %z"`
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment